import React from 'react';
import { EditableListItemType, EditableListProps } from '../EditableList/EditableList';
import './EditableManyLists.scss';
export interface EditableManyListsProps<T> {
    className?: string;
    titleClassName?: string;
    value: Array<EditableManyListsItemType<T>>;
    onChange: (value: EditableManyListsProps<T>['value']) => void;
    itemRenderer?: EditableListProps<T>['itemRenderer'];
    maxVisibleCount?: number;
}
export interface EditableManyListsItemType<T> {
    title: string;
    itemClassName?: string;
    data: Array<EditableListItemType<T>>;
}
declare class EditableManyLists<T> extends React.Component<EditableManyListsProps<T>> {
    static getDefaultValue(): never[];
    static isEmpty(): boolean;
    onChange: (index: number, data: EditableManyListsItemType<T>['data']) => void;
    render(): React.JSX.Element;
}
export default EditableManyLists;
