"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));
var _createSuper2 = _interopRequireDefault(require("@babel/runtime/helpers/createSuper"));
var _react = _interopRequireWildcard(require("react"));
var _uikit = require("@gravity-ui/uikit");
var _cn = require("../../helpers/cn");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _excluded = ["value", "onChange"];
var block = (0, _cn.dfCN)('field-textarea');
var TextControl = /*#__PURE__*/function (_Component) {
  (0, _inherits2.default)(TextControl, _Component);
  var _super = (0, _createSuper2.default)(TextControl);
  function TextControl() {
    (0, _classCallCheck2.default)(this, TextControl);
    return _super.apply(this, arguments);
  }
  (0, _createClass2.default)(TextControl, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
        value = _this$props.value,
        onChange = _this$props.onChange,
        rest = (0, _objectWithoutProperties2.default)(_this$props, _excluded);
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(_uikit.TextArea, (0, _objectSpread2.default)((0, _objectSpread2.default)({
        className: block(),
        autoComplete: false,
        hasClear: true,
        rows: 4
      }, rest), {}, {
        value: value,
        onUpdate: onChange
      }));
    }
  }], [{
    key: "getDefaultValue",
    value: function getDefaultValue() {
      return '';
    }
  }, {
    key: "isEmpty",
    value: function isEmpty(value) {
      return !value;
    }
  }]);
  return TextControl;
}(_react.Component);
TextControl.hasErrorRenderer = true;
var _default = TextControl; // #sourceMappingURL=TextAreaControl.js.map
exports.default = _default;
// #sourceMappingURL=TextAreaControl.js.map