import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _inherits from "@babel/runtime/helpers/inherits";
import _createSuper from "@babel/runtime/helpers/createSuper";
var _excluded = ["value", "onChange"];
import React, { Component } from 'react';
import { TextArea } from '@gravity-ui/uikit';
import { dfCN } from '../../helpers/cn';
import './TextAreaControl.css';
import { jsx as _jsx } from "react/jsx-runtime";
var block = dfCN('field-textarea');
var TextControl = /*#__PURE__*/function (_Component) {
  _inherits(TextControl, _Component);
  var _super = _createSuper(TextControl);
  function TextControl() {
    _classCallCheck(this, TextControl);
    return _super.apply(this, arguments);
  }
  _createClass(TextControl, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
        value = _this$props.value,
        onChange = _this$props.onChange,
        rest = _objectWithoutProperties(_this$props, _excluded);
      return /*#__PURE__*/_jsx(TextArea, _objectSpread(_objectSpread({
        className: block(),
        autoComplete: false,
        hasClear: true,
        rows: 4
      }, rest), {}, {
        value: value,
        onUpdate: onChange
      }));
    }
  }], [{
    key: "getDefaultValue",
    value: function getDefaultValue() {
      return '';
    }
  }, {
    key: "isEmpty",
    value: function isEmpty(value) {
      return !value;
    }
  }]);
  return TextControl;
}(Component);
TextControl.hasErrorRenderer = true;
export default TextControl;
// #sourceMappingURL=TextAreaControl.js.map