import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["value", "onChange"],
  _excluded2 = ["children"];
import React, { useCallback } from 'react';
import { Checkbox } from '@gravity-ui/uikit';
import './CheckBoxControl.css';
import { jsx as _jsx } from "react/jsx-runtime";
function CheckBoxControl(_ref) {
  var value = _ref.value,
    onChange = _ref.onChange,
    props = _objectWithoutProperties(_ref, _excluded);
  var onCheckBoxChange = useCallback(function () {
    return onChange(!value);
  }, [onChange, value]);
  var _ref2 = props || {},
    children = _ref2.children,
    rest = _objectWithoutProperties(_ref2, _excluded2);
  return /*#__PURE__*/_jsx(Checkbox, _objectSpread(_objectSpread({
    onChange: onCheckBoxChange,
    size: "l"
  }, rest), {}, {
    checked: value,
    children: children
  }));
}
CheckBoxControl.getDefaultValue = function () {
  return false;
};
CheckBoxControl.isEmpty = function (value) {
  return typeof value !== 'boolean' || !value;
};
export default CheckBoxControl;
// #sourceMappingURL=CheckBoxControl.js.map